BinderServicePlugin (The Data Transfer scheduler library 2.0.0-SNAPSHOT API)
Date: 2013-10-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.scheduler.library.plugins
Class BinderServicePlugin

    java.lang.Object
      org.gcube.datatransfer.scheduler.library.plugins.BinderAbstractPlugin<BinderServiceJAXWSStubs,BinderLibrary>
          org.gcube.datatransfer.scheduler.library.plugins.BinderServicePlugin

All Implemented Interfaces:
  org.gcube.common.clients.delegates.ProxyPlugin<EndpointReference,BinderServiceJAXWSStubs,BinderLibrary>, org.gcube.common.clients.fw.plugin.Plugin<BinderServiceJAXWSStubs,BinderLibrary>

    public class BinderServicePlugin

extends BinderAbstractPlugin<BinderServiceJAXWSStubs,BinderLibrary>

Field Summary

Fields inherited from class org.gcube.datatransfer.scheduler.library.plugins.BinderAbstractPlugin
`name`

Constructor Summary
`BinderServicePlugin()`

Method Summary
`Exception` | `convert(Exception arg0, org.gcube.common.clients.config.ProxyConfig<?,?> arg1)`
`BinderLibrary` | `newProxy(org.gcube.common.clients.delegates.ProxyDelegate<BinderServiceJAXWSStubs> delegate)`
`BinderServiceJAXWSStubs` | `resolve(EndpointReference address, org.gcube.common.clients.config.ProxyConfig<?,?> config)`

Methods inherited from class org.gcube.datatransfer.scheduler.library.plugins.BinderAbstractPlugin
`name, namespace, serviceClass, serviceName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BinderServicePlugin

    public BinderServicePlugin()

Method Detail

### resolve

    public BinderServiceJAXWSStubs resolve(EndpointReference address,
                                           org.gcube.common.clients.config.ProxyConfig<?,?> config)
                                    throws Exception

  Throws:
    `Exception`

### newProxy

    public BinderLibrary newProxy(org.gcube.common.clients.delegates.ProxyDelegate<BinderServiceJAXWSStubs> delegate)

### convert

    public Exception convert(Exception arg0,
                             org.gcube.common.clients.config.ProxyConfig<?,?> arg1)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.